libzypp 17.38.15

DownloadMode.h File Reference
`#include <iosfwd>`
`#include <zypp-core/Globals.h>`

Go to the source code of this file.

## Namespaces
namespace | zypp
| Easy-to use interface to the ZYPP dependency resolver.

## Enumerations
enum | zypp::DownloadMode { zypp::DownloadDefault , zypp::DownloadOnly , zypp::DownloadInAdvance , zypp::DownloadInHeaps , zypp::DownloadAsNeeded }
| Supported commit download policies. More...

## Functions
bool | zypp::deserialize (const std::string &str_r, DownloadMode &result_r)
| relates: DownloadMode Parse from string.
DownloadMode | zypp::deserializeDownloadMode (const std::string &str_r)
| relates: DownloadMode Parse from string.
std::ostream & | zypp::operator<< (std::ostream &str, DownloadMode obj) ZYPP_API
| relates: DownloadMode Stream output.